.sign-up {
    margin-top: 10vh;
    width: 350px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-bottom: 10em;
}

.sign-up-header {
    margin-bottom: 2em;
}

.sign-up-title {
    font-weight: 300;
    font-size: 2em;
    line-height: 1.3;
    margin-bottom: .7em;
}

.sign-up-description {
    font-size: 1.2em;
    line-height: 1.3;
    font-weight: 500;
}


.sign-up-external {
    display: flex;
    flex-direction: column;
    row-gap: .35em;
}

.sign-up-external-option {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: .3em;
    cursor: pointer;
    text-decoration:    none;
    border-radius: 2px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    height: 2.5em;
}

.sign-up-external-options-divider {
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

.sign-up-external-options-divider-label {
    font-weight: 300;
}

.sign-up-option-email {

}

.sign-up-option-email-link {
    font-weight: 500;
    color: blue;
}

.sign-up-option-email-link:hover {
    text-decoration: underline;
}

.signup-footer {
    margin-top: 3em;
    font-size: .87em;
}

.signup-footer a {
    color: darkblue;
}

.signup-footer a:hover {
    text-decoration: underline;
}



/**  submit form **/
.sign-up-form {
    margin-left: auto;
    margin-right: auto;
}

.sign-up-form-field {

}

.sign-up-form-field input {
    display: block;
    width: 100%;
    height: 3em;
    padding: .4em;
    border: 1px solid #aaa;
    color: black;
}

.sign-up-form-submit {
    margin-top: .7em;
}

.sign-up-form-submit button {
    display: block;
    width: 100%;
    background-color: blue;
    color: white;
    height: 3em;
    font-weight: 500;
    font-size: .93em;
}
